# Account Customization - Details

| **API URL**     | {{url}}/admin-service/account-customization/details |
| --------------- | --------------------------------------------------- |
| **Method**      | POST                                                |
| **Description** | Get account customization details                   |

#### **Sample Input:** <a href="#accountcustomization-details-sampleinput" id="accountcustomization-details-sampleinput"></a>

{     "clinicalWorkflowId": 91,     "countryId": 1,     "tenantId": 1 }

#### **Output:** <a href="#accountcustomization-details-output" id="accountcustomization-details-output"></a>

| **Field Name**       | **Type** | **Comments**              |
| -------------------- | -------- | ------------------------- |
| `id`                 | Number   | Customization id          |
| `tenantId`           | Number   | Country tenant id         |
| `type`               | String   | Module                    |
| `category`           | String   | Form category             |
| `formInput`          | String   | Customization form fields |
| `countryId`          | Number   | Country id                |
| `clinicalWorkflowId` | Number   | Workflow id               |
| `workflow`           | String   | Workflow name             |

#### **Sample Output:** <a href="#accountcustomization-details-sampleoutput" id="accountcustomization-details-sampleoutput"></a>

```
{
    "message": "Got Account Customization forms.",
    "entity": {
        "id": 72,
        "createdBy": 6486,
        "updatedBy": 6486,
        "createdAt": "2023-02-21T10:51:47+05:30",
        "updatedAt": "2023-03-02T15:47:25+05:30",
        "tenantId": 1,
        "type": "Module",
        "category": "Input_form",
        "formInput": "{\"time\":1677752244755,\"formLayout\":[{\"id\":\"smoking\",\"viewType\":\"CardView\",\"title\":\"Smoking\",\"familyOrder\":0,\"isCustomWorkflow\":true},{\"id\":\"Smoking Effects\",\"viewType\":\"Instruction\",\"title\":\"Smoking Effects\",\"fieldName\":\"Smoking Effects\",\"family\":\"smoking\",\"isSummary\":false,\"isMandatory\":false,\"isEnabled\":true,\"visibility\":\"visible\",\"instructions\":[\"Diabetes\",\"Dental problems\",\"Heart disease, stroke and blood circulation problems\",\"Breathing problems and chronic respiratory conditions\"],\"isNotDefault\":true,\"orderId\":1}]}",
        "countryId": 1,
        "clinicalWorkflowId": 91,
        "accountId": null,
        "workflow": "glucose",
        "active": true,
        "deleted": false
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/admin-services/clinical-workflow/account-customization-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
